VTK: vtkCompositeMapperHelperData Class Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkCompositeMapperHelperData Class Reference

`#include <vtkCompositeMapperHelper2.h>`

Collaboration diagram for vtkCompositeMapperHelperData:
[legend]

## Public Attributes
vtkPolyData * | Data
unsigned int | FlatIndex
double | Opacity
bool | IsOpaque
bool | Visibility
bool | Pickability
bool | OverridesColor
vtkColor3d | AmbientColor
vtkColor3d | DiffuseColor
vtkColor3d | SelectionColor
double | SelectionOpacity
bool | Marked
unsigned int | StartVertex
unsigned int | NextVertex
unsigned int | StartIndex [vtkOpenGLPolyDataMapper::PrimitiveEnd]
unsigned int | NextIndex [vtkOpenGLPolyDataMapper::PrimitiveEnd]
vtkNew< vtkOpenGLCellToVTKCellMap > | CellCellMap

## Detailed Description

Definition at line 29 of file vtkCompositeMapperHelper2.h.

## Member Data Documentation

## ◆ Data

vtkPolyData* vtkCompositeMapperHelperData::Data

Definition at line 33 of file vtkCompositeMapperHelper2.h.

## ◆ FlatIndex

unsigned int vtkCompositeMapperHelperData::FlatIndex

Definition at line 34 of file vtkCompositeMapperHelper2.h.

## ◆ Opacity

double vtkCompositeMapperHelperData::Opacity

Definition at line 35 of file vtkCompositeMapperHelper2.h.

## ◆ IsOpaque

bool vtkCompositeMapperHelperData::IsOpaque

Definition at line 36 of file vtkCompositeMapperHelper2.h.

## ◆ Visibility

bool vtkCompositeMapperHelperData::Visibility

Definition at line 37 of file vtkCompositeMapperHelper2.h.

## ◆ Pickability

bool vtkCompositeMapperHelperData::Pickability

Definition at line 38 of file vtkCompositeMapperHelper2.h.

## ◆ OverridesColor

bool vtkCompositeMapperHelperData::OverridesColor

Definition at line 39 of file vtkCompositeMapperHelper2.h.

## ◆ AmbientColor

vtkColor3d vtkCompositeMapperHelperData::AmbientColor

Definition at line 40 of file vtkCompositeMapperHelper2.h.

## ◆ DiffuseColor

vtkColor3d vtkCompositeMapperHelperData::DiffuseColor

Definition at line 41 of file vtkCompositeMapperHelper2.h.

## ◆ SelectionColor

vtkColor3d vtkCompositeMapperHelperData::SelectionColor

Definition at line 42 of file vtkCompositeMapperHelper2.h.

## ◆ SelectionOpacity

double vtkCompositeMapperHelperData::SelectionOpacity

Definition at line 43 of file vtkCompositeMapperHelper2.h.

## ◆ Marked

bool vtkCompositeMapperHelperData::Marked

Definition at line 45 of file vtkCompositeMapperHelper2.h.

## ◆ StartVertex

unsigned int vtkCompositeMapperHelperData::StartVertex

Definition at line 47 of file vtkCompositeMapperHelper2.h.

## ◆ NextVertex

unsigned int vtkCompositeMapperHelperData::NextVertex

Definition at line 48 of file vtkCompositeMapperHelper2.h.

## ◆ StartIndex

unsigned int vtkCompositeMapperHelperData::StartIndex[vtkOpenGLPolyDataMapper::PrimitiveEnd]

Definition at line 51 of file vtkCompositeMapperHelper2.h.

## ◆ NextIndex

unsigned int vtkCompositeMapperHelperData::NextIndex[vtkOpenGLPolyDataMapper::PrimitiveEnd]

Definition at line 52 of file vtkCompositeMapperHelper2.h.

## ◆ CellCellMap

vtkNew<vtkOpenGLCellToVTKCellMap> vtkCompositeMapperHelperData::CellCellMap

Definition at line 55 of file vtkCompositeMapperHelper2.h.

The documentation for this class was generated from the following file:

- Rendering/OpenGL2/vtkCompositeMapperHelper2.h